<template>
  <section id="business_container">
    <transition name="fade-transform" mode="out-in">
      <keep-alive :include="cachedViews">
        <router-view :key="key" />
      </keep-alive>
    </transition>
  </section>
</template>

<script>
export default {
  name: "Business",
  created: () => {
    console.log("进入业务交易界面");
  },
  computed: {
    cachedViews() {
      return this.$store.state.TagsView.cachedViews;
    },
    key() {
      return this.$route.path;
    },
  },
};
</script>

<style>
#business_container {
  /* height: 100%; */
  padding: 5px 15px;
  /* width: 100%; */
  flex: 1;
}
#business_container .eibs-tab {
  padding: 0 15px;
}
#business_container .eibs-tab::after {
  content: "";
  display: block;
  clear: both;
}
</style>
